Package org.apache.activemq.artemis.spi.core.protocol

## Class AbstractProtocolManagerFactory<P extends BaseInterceptor>

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.protocol.AbstractProtocolManagerFactory<P>

- All Implemented Interfaces:
    `ProtocolManagerFactory<P>`

      public abstract class AbstractProtocolManagerFactory<P extends BaseInterceptor>
      extends java.lang.Object
      implements ProtocolManagerFactory<P>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractProtocolManagerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.List<P>` | `internalFilterInterceptors​(java.lang.Class<P> type, java.util.List<? extends BaseInterceptor> listIn)` | This method exists because java templates won't store the type of P at runtime.
    `void` | `loadProtocolServices​(org.apache.activemq.artemis.core.server.ActiveMQServer server, java.util.List<org.apache.activemq.artemis.core.server.ActiveMQComponent> services)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.spi.core.protocol.ProtocolManagerFactory

      `createProtocolManager, filterInterceptors, getModuleName, getPersister, getProtocols`

- - ### Constructor Detail

    - #### AbstractProtocolManagerFactory

          public AbstractProtocolManagerFactory()

  - ### Method Detail

    - #### internalFilterInterceptors

          protected java.util.List<P> internalFilterInterceptors​(java.lang.Class<P> type,
                                                                 java.util.List<? extends BaseInterceptor> listIn)

      This method exists because java templates won't store the type of P at runtime. So it's not possible to write a generic method with having the Class Type. This will serve as a tool for sub classes to filter properly* * *
      Parameters:
        `type` -
        `listIn` -
      Returns:

    - #### loadProtocolServices

          public void loadProtocolServices​(org.apache.activemq.artemis.core.server.ActiveMQServer server,
                                           java.util.List<org.apache.activemq.artemis.core.server.ActiveMQComponent> services)

      Specified by:
        `loadProtocolServices` in interface `ProtocolManagerFactory<P extends BaseInterceptor>`